# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'smtpcom/sendapi/version'

Gem::Specification.new do |spec|
  spec.name          = "smtpcom-sendapi"
  spec.version       = Smtpcom::Sendapi::VERSION
  spec.authors       = ["Vasiliy Sablin"]
  spec.email         = ["vasiliy.sablin@gmail.com"]

  spec.summary       = %q{Ruby bindings for Smtpcom Sendapi}
  spec.description   = %q{Easy way to manage your email campaigns. See https://www.smtp.com/solutions/transactional-email-service-api/ for details}
  spec.homepage      = "https://github.com/smtpinc/sendapi-ruby"
  spec.license       = 'MIT'

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]
  spec.required_ruby_version = ">= 1.9.3"

  spec.add_runtime_dependency "httparty", "~> 0.13"

  spec.add_development_dependency "bundler", "~> 1.9"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", '~> 3.2', '>= 3.2.0'
  spec.add_development_dependency "vcr", '~> 2.9', '>= 2.9.3'
  spec.add_development_dependency "webmock", '~> 1.21', '>= 1.21.0'
end
